package com.gic.enterprise.service;

import com.gic.api.base.commons.ServiceResponse;
import com.gic.enterprise.dto.rule.RuleClassifyDTO;
import com.gic.enterprise.dto.rule.RuleClassifySceneDTO;
import com.gic.enterprise.dto.rule.RuleDTO;
/**
 * 平台规则配置
 * @ClassName: ConfigRuleApiService 
 * @Description:  
 * @author guojuxing 
 * @date 2020/3/3 2:50 PM 
 */
public interface ConfigRuleApiService {

    /**
     * 新增规则
     * @Title: saveRule 
     * @Description:
     * @author guojuxing
     * @param dto 
     * @return  com.gic.api.base.commons.ServiceResponse<java.lang.Integer> 
     */
    ServiceResponse<Integer> saveRule(RuleDTO dto);
    /**
     * 新增分类
     * @Title: saveRuleClassify 
     * @Description:
     * @author guojuxing
     * @param dto 
     * @return  com.gic.api.base.commons.ServiceResponse<java.lang.Integer> 
     */
    ServiceResponse<Integer> saveRuleClassify(RuleClassifyDTO dto);
    /**
     * 新增场景
     * @Title: saveRuleClassifyScene 
     * @Description:
     * @author guojuxing
     * @param dto 
     * @return  com.gic.api.base.commons.ServiceResponse<java.lang.Integer> 
     */
    ServiceResponse<Integer> saveRuleClassifyScene(RuleClassifySceneDTO dto);
}
